package com.loganmagnan.hubcore.listeners;

import com.loganmagnan.hubcore.HubCore;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.FoodLevelChangeEvent;

public class FoodLevelChangeListener implements Listener {

    private HubCore main = HubCore.getInstance();

    @EventHandler
    public void onFoodChange(FoodLevelChangeEvent event) {
        Player player = (Player) event.getEntity();
        player.setHealth(20);
        player.setFoodLevel(20);
        player.setSaturation(20);

        event.setCancelled(true);
    }
}
